Bug 89773 - "builtin_functions.cpp", line 3218: Error: INFINITY is not defined.
Summary: "builtin_functions.cpp", line 3218: Error: INFINITY is not defined.
Status: RESOLVED WONTFIX
Alias: None
Product: Mesa
Classification: Unclassified
Component: Mesa core (show other bugs)
Version: git
Hardware: x86-64 (AMD64) All
: medium blocker
Assignee: mesa-dev
QA Contact: mesa-dev
URL:
Whiteboard:
Keywords: bisected, regression
Depends on:
Blocks:
 
Reported: 2015-03-26 06:24 UTC by Vinson Lee
Modified: 2016-07-09 00:10 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Vinson Lee 2015-03-26 06:24:37 UTC
mesa: 91e3533481d6921c4b46109742d6f67b7f897f86 (master 10.6.0-devel)

Oracle Studio build error

"builtin_functions.cpp", line 3218: Error: INFINITY is not defined.


commit 871f1080d0f7b7444458de40b67de7938c220922
Author: Matt Turner <mattst88@gmail.com>
Date:   Mon Jan 12 22:35:53 2015 -0800

    glsl: Use INFINITY instead of std::numeric_limits<float>::infinity().
    
    Reviewed-by: Jose Fonseca <jfonseca@vmware.com>
Comment 1 Ian Romanick 2015-11-30 23:29:16 UTC
Does this problem still exist?
Comment 2 Ian Romanick 2015-11-30 23:30:07 UTC
Adding Alan to CC in case he has a suggestion.
Comment 3 Alan Coopersmith 2015-12-01 00:11:13 UTC
Sorry, I don't have enough context here, but on Solaris, INFINITY is defined
via math.h headers, but wrapped in:

#if defined(_STDC_C99) || _XOPEN_SOURCE - 0 >= 600 || defined(__C99FEATURES__)

but as C++ is pure evil, I don't know if it corrupts this somehow.
Comment 4 Timothy Arceri 2016-01-24 10:54:02 UTC
As of 51564f04b77e6d Oracle Studio is not longer supported in Mesa.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.